events.listen('recipes', event => {

  // Thermal

event.recipes.thermal.smelter('mekanism:ingot_steel', [Item.of('#forge:dusts/coal', 2), '#forge:ingots/iron'])
event.recipes.thermal.smelter('mekanism:ingot_steel', [Item.of('#forge:dusts/coal', 2), '#forge:dusts/iron'])
event.recipes.thermal.smelter('thermal:oil_sand', ['#forge:dusts/coal', 'minecraft:sand', '#forge:dusts/coal_coke'])
event.recipes.thermal.smelter('thermal:oil_red_sand', ['#forge:dusts/coal', 'minecraft:red_sand', '#forge:dusts/coal_coke'])
event.recipes.thermal.smelter('minecraft:enchanting_table', [Item.of('minecraft:diamond', 4), Item.of('minecraft:obsidian', 8), Item.of('minecraft:book', 4)])
event.recipes.thermal.smelter('kubejs:diamond_ingot', [Item.of('minecraft:diamond', 2), 'extendedcrafting:black_iron_ingot', '#forge:dusts/biotite'])
event.recipes.thermal.smelter('create:rose_quartz', ['#forge:gems/quartz', Item.of('#forge:dusts/redstone', 2)])
event.recipes.thermal.compression_fuel(fluid.of('immersiveengineering:creosote', 1000)).energy(20000)
event.recipes.thermal.compression_fuel(fluid.of('kubejs:creosote_fluid', 1000)).energy(300000)

})